Index: c/src/lib/libbsp/sh/gensh1/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -1,2 +1,10 @@
+2001-06-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+	* scitab/Makefile.am: Use @CPU_CLOCK_RATE_HZ@.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/gensh1/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/include/Makefile.am	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/gensh1/include/Makefile.am	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -13,5 +13,6 @@
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/sh/gensh1/scitab/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/scitab/Makefile.am	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/gensh1/scitab/Makefile.am	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -28,5 +28,5 @@
 
 scitab.c: $(SHGEN)
-	$(SHGEN) -H $(CPU_CLOCK_RATE_HZ) sci > $@
+	$(SHGEN) -H @CPU_CLOCK_RATE_HZ@ sci > $@
 
 all-local: $(ARCH) $(OBJS) $(PGM)
Index: c/src/lib/libbsp/sh/gensh2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -1,2 +1,10 @@
+2001-06-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+	* scitab/Makefile.am: Use @CPU_CLOCK_RATE_HZ@.
+
 2001-06-19	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh2/scitab/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/scitab/Makefile.am	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/gensh2/scitab/Makefile.am	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -26,5 +26,5 @@
 
 scitab.c: $(SHGEN)
-	$(SHGEN) -H $(CPU_CLOCK_RATE_HZ) sci > $@
+ 	$(SHGEN) -H @CPU_CLOCK_RATE_HZ@ sci > $@
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
Index: c/src/lib/libbsp/sh/shsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/shsim/ChangeLog	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -1,2 +1,10 @@
+2001-06-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+	* scitab/Makefile.am: Use @CPU_CLOCK_RATE_HZ@.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/shsim/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/sh/shsim/include/.cvsignore	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/shsim/include/.cvsignore	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -1,4 +1,6 @@
 Makefile
 Makefile.in
-stamp-h*
-bspopts.h*
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/sh/shsim/scitab/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/scitab/Makefile.am	(revision 206a0b3850f1353d5d270c3651ac6cee3848587a)
+++ c/src/lib/libbsp/sh/shsim/scitab/Makefile.am	(revision a2e672351d4e63744291fae371dd9e24266d3b5f)
@@ -28,5 +28,5 @@
 
 scitab.c: $(SHGEN)
-	$(SHGEN) -H $(CPU_CLOCK_RATE_HZ) sci > $@
+	$(SHGEN) -H @CPU_CLOCK_RATE_HZ@ sci > $@
 
 all-local: $(ARCH) $(OBJS) $(PGM)
